%{
    This file is part of StemCellQC, a video bioinformatics software
    toolkit for analysis of phase contrast microscopy videos.
    Copyright 2013-2015 Vincent On. [vincenton001-at-gmail.com]

    StemCellQC is free software: you can redistribute it and/or 
    modify it under the terms of the GNU General Public License as 
    published by the Free Software Foundation, either version 3 of the 
    License, or (at your option) any later version.

    StemCellQC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with StemCellQC.  If not, see <http://www.gnu.org/licenses/>.
%}

function micro_data = extract_micro( micro )

for i = 1 : 4
    str_data = strsplit( micro{i,1} );
    switch str_data{1}
        case 'Frame'
            micro_data.Frame = str_data{3};
        case 'Width'
            micro_data.Width = str_data{3};
        case 'Height'
            micro_data.Height = str_data{3};
        case 'Overlap'
            micro_data.Overlap = str_data{3};
    end
end